<template>
  <svg
    width="25"
    height="25"
    viewBox="0 0 25 25"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M7.38989 17.9902L9.68989 20.2902"
      :stroke="primaryColor"
      stroke-width="1.5"
      stroke-miterlimit="10"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M15 11.5C15.8284 11.5 16.5 10.8284 16.5 10C16.5 9.17157 15.8284 8.5 15 8.5C14.1716 8.5 13.5 9.17157 13.5 10C13.5 10.8284 14.1716 11.5 15 11.5Z"
      :stroke="primaryColor"
      stroke-width="1.5"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M20.2899 15.4303C18.2299 17.4803 15.2799 18.1103 12.6899 17.3003L7.9799 22.0003C7.6399 22.3503 6.9699 22.5603 6.4899 22.4903L4.3099 22.1903C3.5899 22.0903 2.9199 21.4103 2.8099 20.6903L2.5099 18.5103C2.4399 18.0303 2.6699 17.3603 2.9999 17.0203L7.6999 12.3203C6.8999 9.72031 7.5199 6.77031 9.5799 4.72031C12.5299 1.77031 17.3199 1.77031 20.2799 4.72031C23.2399 7.67031 23.2399 12.4803 20.2899 15.4303Z"
      :stroke="secondaryColor"
      stroke-width="1.5"
      stroke-miterlimit="10"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
  </svg>
</template>
<script>
import { $iconColors } from "@themeConfig";
export default {
  data() {
    return {
      primaryColor: $iconColors.primary, // Initial color
      secondaryColor: $iconColors.secondary, // Initial color
    };
  },
};
</script>
